Loading...
Searching...
No Matches
etl::ipool::const_iterator Class Reference

## Public Member Functions

| const_iterator (const ipool_iterator &other)
| const_iterator (const ipool_iterator< false > &other)
| const_iterator (value_type p, pool_type *pool_)
Public Member Functions inherited from etl::ipool::ipool_iterator< true >
| ipool_iterator (const ipool_iterator &other)
ipool_iterator & | operator++ ()
ipool_iterator & | operator= (const ipool_iterator &other)
void_type | operator* () const
T & | get () const

## Additional Inherited Members

Public Types inherited from etl::ipool::ipool_iterator< true >
typedef etl::conditional< is_const, constchar *, char * >::type | value_type
typedef etl::conditional< is_const, constchar *&, char *& >::type | reference
typedef etl::conditional< is_const, constchar **, char ** >::type | pointer
typedef ptrdiff_t | difference_type
typedef ETL_OR_STD::forward_iterator_tag | iterator_category
typedef etl::conditional< is_const, constvoid *, void * >::type | void_type
typedef etl::conditional< is_const, constipool, ipool >::type | pool_type
typedef etl::conditional< is_const, constchar *const *, char ** >::type | pointer_type

The documentation for this class was generated from the following file:

- include/etl/ipool.h